Electronic Load 1.0 Programmable Constant Current Sink

Functions | Variables
sensors.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
uint16_t | ADCfromTemp (double temp)
| Computes the ADC-Value for a given Temperature. More...
double | HSTempFromADC (void)
| Converts the ADC-Temp Value of the Heat Sink NTC to Celsius. More...
double | P12FromADC (uint16_t)
| Converts a Unreg-Raw ADC Value to Voltage. More...
double | P5FromADC (uint16_t)
| Converts a P5-Raw ADC Value to Voltage. More...
double | RNTCfromTemp (double t)
| Computes the NTC-Resistance for a given Temperature. More...
double | SWUnregFromADC (uint16_t)
double | TempFromADC (void)
| Converts the ADC-Temp of the Display NTC Value to Celsius This function also calculates the derating factor. More...

## Variables
static const double | celsius0 =273.15
static const double | NTC_A1 =0.0013073785526997012
static const double | NTC_B1 =0.00021332970951798227
static const double | NTC_C1 =0.0
static const double | NTC_D1 =1.04693344564582e-7
static const double | NTC_RVCC =22000.0

## Function Documentation

## ◆ TempFromADC()

double TempFromADC | ( | void |  | ) |

Converts the ADC-Temp of the Display NTC Value to Celsius This function also calculates the derating factor.

Note
  This function takes extensive floating point operations and may thus block for about 400us.

Returns
  The Temperature in Celsius

Here is the call graph for this function:

## ◆ HSTempFromADC()

double HSTempFromADC | ( | void |  | ) |

Converts the ADC-Temp Value of the Heat Sink NTC to Celsius.

Note
  This function takes extensive floating point operations and may thus block for about 400us.

Returns
  The Temperature in Celsius

Here is the call graph for this function:

## ◆ P5FromADC()

double P5FromADC | ( | uint16_t | val | ) |

Converts a P5-Raw ADC Value to Voltage.

Parameters

  val | The ADC Value

Returns
  The Voltage

## ◆ P12FromADC()

double P12FromADC | ( | uint16_t | val | ) |

Converts a Unreg-Raw ADC Value to Voltage.

Parameters

  val | The ADC Value

Returns
  The Voltage

## ◆ SWUnregFromADC()

double SWUnregFromADC | ( | uint16_t |  | ) |

## ◆ RNTCfromTemp()

double RNTCfromTemp | ( | double | t | ) |

Computes the NTC-Resistance for a given Temperature.

Note
  This function takes extensive floating point operations and may thus block for about 4ms.

Returns
  The Resistance in Ohms

## ◆ ADCfromTemp()

uint16_t ADCfromTemp | ( | double | temp | ) |

Computes the ADC-Value for a given Temperature.

Note
  This function takes extensive floating point operations and may thus block for about 4ms (mostly spent in RNTCfromTemp()).

Returns
  The Temperature in Celsius

Here is the call graph for this function:

## Variable Documentation

## ◆ NTC_RVCC

const double NTC_RVCC =22000.0
| static

## ◆ NTC_A1

const double NTC_A1 =0.0013073785526997012
| static

## ◆ NTC_B1

const double NTC_B1 =0.00021332970951798227
| static

## ◆ NTC_C1

const double NTC_C1 =0.0
| static

## ◆ NTC_D1

const double NTC_D1 =1.04693344564582e-7
| static

## ◆ celsius0

const double celsius0 =273.15
| static